Index: trunk/include/sh_utils.h
===================================================================
--- trunk/include/sh_utils.h	(revision 582)
+++ trunk/include/sh_utils.h	(revision 1)
@@ -40,9 +40,7 @@
   unsigned long   data_ulong;
   long            data_long;
-  char           *data_str;
+  /*@null@*/char *data_str;
 } st_format;
 
-/* returns allocated string
- */
 char * sh_util_formatted (const char * fmt, st_format * ftab);
 
@@ -58,81 +56,52 @@
  *  generator. 
  */
-UINT32 taus_get            (void);  
+UINT32 taus_get            (void *state1, void *state2, void *state3);  
 double taus_get_double     (void *vstate);  /* fast */
 int    taus_seed           (void);
 
-/* returns allocated memory
- */
-char * sh_util_strdup (const char * str) SH_GNUC_MALLOC;
-char * sh_util_strdup_track (const char * str, 
-			     char * file, int line) SH_GNUC_MALLOC;
-
-/* returns allocated memory
- */
-char * sh_util_strdup_l (const char * str, size_t len) SH_GNUC_MALLOC;
-
-/* returns pointer within str
- */
+char * sh_util_strdup (const char * str);
 char * sh_util_strsep (char **str, const char *delim);
-
-/* compactify verbose acl text, returns allocated memory
- */
-char * sh_util_acl_compact (char * buf, ssize_t len);
 
 /* set signature type HASH-TIGER/HMAC-TIGER
  */
-int sh_util_sigtype (const char * c);
+int sh_util_sigtype (char * c);
 
 /* compute a signature
  */
 char * sh_util_siggen (char * hexkey,  
-		       char * text, size_t textlen, 
-		       char * sigbuf, size_t sigbuflen);
+		       char * text, size_t textlen);
 
 /* eval boolean input
  */
-int sh_util_flagval(const char * c, int * fval);
+int sh_util_flagval(char * c, int * fval);
 
 /* ask if a file should be updated (returns S_TRUE/S_FALSE)
  */
-int sh_util_ask_update(const char * path);
-int sh_util_set_interactive(const char * str);
-int sh_util_update_file (const char * str);
+int sh_util_ask_update(char * path);
+int sh_util_set_interactive(char * str);
 
 /* don't log output files
  */
-int sh_util_hidesetup(const char * c);
-
-/* valif utf-8 string
- */
-int sh_util_valid_utf8 (const unsigned char * str);
-
-/* filenames are utf8
- */
-int sh_util_obscure_utf8 (const char * c);
+int sh_util_hidesetup(char * c);
 
 /* exceptions to obscure name check
  */
-int sh_util_obscure_ok (const char * str);
+int sh_util_obscure_ok (char * str);
 
-/* output a hexchar[2]; i2h must be char[2]
+/* read a hexchar
  */
-char * sh_util_charhex( unsigned char c, char * i2h );
-
-/* read a hexchar, return int value (0-15)
- */
-int sh_util_hexchar( char c ) SH_GNUC_CONST;
+int sh_util_hexchar( char c );
 
 /* change verifier 
  */
-int sh_util_set_newkey (const char * str);
+int sh_util_set_newkey (char * str);
 
 /* server mode 
  */
-int sh_util_setserver (const char * dummy);
+int sh_util_setserver (char * dummy);
 
 /* a simple compressor
  */
-size_t sh_util_compress (char * dest, char * src, size_t dest_size);
+long sh_util_compress (char * dest, char * src, size_t dest_size);
 
 /* an even simpler en-/decoder 
@@ -147,9 +116,9 @@
 /* set timer for main loop
  */
-int sh_util_setlooptime (const char * str);
+int sh_util_setlooptime (char * str);
 
 /* whether init or check the database
  */
-int  sh_util_setchecksum (const char * str);
+int  sh_util_setchecksum (char * str);
 
 /* compare an in_string against a regular expression regex_str
@@ -160,11 +129,11 @@
 
 /* returns freshly allocated memory, return value should be free'd.
- * Argument list must be NULL terminated.
+ * Arhument list must be NULL terminated.
  */
-char * sh_util_strconcat (const char * arg1, ...) SH_GNUC_MALLOC SH_GNUC_SENTINEL;
+char * sh_util_strconcat (const char * arg1, ...);
 
 /* check if string is numeric only
  */
-int sh_util_isnum (const char *str) SH_GNUC_PURE;
+int sh_util_isnum (char *str);
 
 /* init a key w/random string
@@ -175,11 +144,9 @@
 /* returns freshly allocated memory, return value should be free'd
  */
-char * sh_util_dirname(const char * fullpath);
+char * sh_util_filename(char * fullpath);
 
 /* returns freshly allocated memory, return value should be free'd
  */
-char * sh_util_safe_name (const char * name) SH_GNUC_MALLOC;
-
-char * sh_util_safe_name_keepspace (const char * name) SH_GNUC_MALLOC;
+char * sh_util_safe_name (const char * name);
 
 /* check max size of printf result string
@@ -189,30 +156,9 @@
 /* check for obscure filenames
  */
-int sh_util_obscurename (ShErrLevel level, const char * name, int flag);
+int sh_util_obscurename (ShErrLevel level, char * name, int flag);
 
 /* returns freshly allocated memory, return value should be free'd
  */
-char * sh_util_basename(const char * fullpath);
-
-/* required size (including terminating NULL) for string of strlen l
- */
-#define SH_B64_SIZ(l)  (1 + ((((l) + 2) / 3) * 4))
-
-/* return len of encoded string
- */
-size_t sh_util_base64_enc (unsigned char * out, const unsigned char * instr, 
-			   size_t lin);
-
-/* return allocated encoded string in out, return its len
- */
-size_t sh_util_base64_enc_alloc (char **out, const char *in, size_t inlen);
-
-/* return len of decoded string
- */  
-size_t sh_util_base64_dec (unsigned char *out, const unsigned char *in, size_t lin);
-
-/* return allocated decoded string in out, return its len
- */  
-size_t sh_util_base64_dec_alloc (unsigned char **out, const unsigned char *in, size_t lin);
+char * sh_util_basename(char * fullpath);
 
 #endif
